View Issue Details

IDProjectCategoryView StatusLast Update
0004115SymmetricDSBugpublic2019-11-01 08:44
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.10.5Fixed in Version3.10.5 
Summary0004115: MySQL zero date to null works on initial load but not change capture
DescriptionWhen using the zeroDateTimeBehavior=convertToNull setting for the MySQL driver, it will convert zero dates (0000-00-00) to null for the initial load or any other queries to datetime columns, but changes captured by triggers continue to capture the zero date. Modify the trigger template to detect the convertToNull in the db.url parameter and adjust the capture expression.
Tagsdialect: mysql/mariadb

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 121aed5c

2019-10-17 11:13:29

admin

Details Diff
0004115: MySQL zero date to null works on initial load but not change
capture

0004115
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mysql/MySqlTriggerTemplate.java Diff File

Issue History

Date Modified Username Field Change
2019-10-17 11:10 elong New Issue
2019-10-17 11:10 elong Status new => assigned
2019-10-17 11:10 elong Assigned To => elong
2019-10-17 11:13 elong Tag Attached: dialect: mysql/mariadb
2019-10-17 12:00 admin Changeset attached => SymmetricDS 3.10 121aed5c
2019-10-17 12:40 elong Status assigned => resolved
2019-10-17 12:40 elong Resolution open => fixed
2019-10-17 12:40 elong Fixed in Version => 3.10.5
2019-11-01 08:44 admin Status resolved => closed